BeanCreationProfilingPostProcessor (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.core.util

## [Java] Class BeanCreationProfilingPostProcessor

- org.grails.core.util.BeanCreationProfilingPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessor, org.springframework.context.ApplicationListener

      public class BeanCreationProfilingPostProcessor
      extends java.lang.Object

  Adds timings of bean creation times logged to the "org.grails.startup" group

  Authors:
    Graeme Rocher
  Since:
    3.0.12

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)`
    `` | `java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `boolean` | `postProcessAfterInstantiation(java.lang.Object bean, java.lang.String beanName)`
    `` | `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `java.lang.Object` | `postProcessBeforeInstantiation(java.lang.Class<?> beanClass, java.lang.String beanName)`
    `` | `org.springframework.beans.PropertyValues` | `postProcessPropertyValues(org.springframework.beans.PropertyValues pvs, java.beans.PropertyDescriptor[] pds, java.lang.Object bean, java.lang.String beanName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public void onApplicationEvent(org.springframework.context.event.ContextRefreshedEvent event)

    - #### @java.lang.Override public java.lang.Object postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### @java.lang.Override public boolean postProcessAfterInstantiation(java.lang.Object bean, java.lang.String beanName)

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInstantiation(java.lang.Class<?> beanClass, java.lang.String beanName)

    - #### @java.lang.Override public org.springframework.beans.PropertyValues postProcessPropertyValues(org.springframework.beans.PropertyValues pvs, java.beans.PropertyDescriptor[] pds, java.lang.Object bean, java.lang.String beanName)